<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>Chapitre 7. Au-delà de l'empaquetage</title>
    <link rel="stylesheet" type="text/css" href="developers-reference.css"/>
    <meta name="generator" content="DocBook XSL Stylesheets V1.78.1"/>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <link rel="home" href="index.html" title="Référence du développeur Debian"/>
    <link rel="up" href="index.html" title="Référence du développeur Debian"/>
    <link rel="prev" href="ch06.html" title="Chapitre 6. Meilleures pratiques d'empaquetage"/>
    <link rel="next" href="ch08.html" title="Chapitre 8. Internationalisation et traduction"/>
  </head>
  <body>
    <div class="navheader">
      <table width="100%" summary="Navigation header">
        <tr>
          <th colspan="3" align="center">Chapitre 7. Au-delà de l'empaquetage</th>
        </tr>
        <tr>
          <td align="left"><a accesskey="p" href="ch06.html"><img src="images/prev.png" alt="Précédent"/></a> </td>
          <th width="60%" align="center"> </th>
          <td align="right"> <a accesskey="n" href="ch08.html"><img src="images/next.png" alt="Suivant"/></a></td>
        </tr>
      </table>
      <hr/>
    </div>
    <div class="chapter">
      <div class="titlepage">
        <div>
          <div>
            <h1 class="title"><a id="beyond-pkging"/>Chapitre 7. Au-delà de l'empaquetage</h1>
          </div>
        </div>
      </div>
      <div class="toc">
        <p>
          <strong>Table des matières</strong>
        </p>
        <dl class="toc">
          <dt>
            <span class="section">
              <a href="ch07.html#submit-bug">7.1. Signalement de bogues</a>
            </span>
          </dt>
          <dd>
            <dl>
              <dt>
                <span class="section">
                  <a href="ch07.html#submit-many-bugs">7.1.1. Signalement d'un grand nombre de bogues en une fois (« <code class="literal">mass bug
filing</code> »)</a>
                </span>
              </dt>
              <dd>
                <dl>
                  <dt>
                    <span class="section">
                      <a href="ch07.html#usertags">7.1.1.1. Étiquettes d'utilisateur « <code class="literal">Usertags</code> »</a>
                    </span>
                  </dt>
                </dl>
              </dd>
            </dl>
          </dd>
          <dt>
            <span class="section">
              <a href="ch07.html#qa-effort">7.2. Effort d'assurance qualité</a>
            </span>
          </dt>
          <dd>
            <dl>
              <dt>
                <span class="section">
                  <a href="ch07.html#qa-daily-work">7.2.1. Travail quotidien</a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="ch07.html#qa-bsp">7.2.2. Chasses aux bogues</a>
                </span>
              </dt>
            </dl>
          </dd>
          <dt>
            <span class="section">
              <a href="ch07.html#contacting-maintainers">7.3. Contact avec d'autres responsables</a>
            </span>
          </dt>
          <dt>
            <span class="section">
              <a href="ch07.html#mia-qa">7.4. Gestion des responsables non joignables</a>
            </span>
          </dt>
          <dt>
            <span class="section">
              <a href="ch07.html#newmaint">7.5. Interaction avec de futurs développeurs Debian</a>
            </span>
          </dt>
          <dd>
            <dl>
              <dt>
                <span class="section">
                  <a href="ch07.html#sponsoring">7.5.1. Parrainage de paquets</a>
                </span>
              </dt>
              <dd>
                <dl>
                  <dt>
                    <span class="section">
                      <a href="ch07.html#sponsoring-new-package">7.5.1.1. Parrainage d'un nouveau paquet</a>
                    </span>
                  </dt>
                  <dt>
                    <span class="section">
                      <a href="ch07.html#sponsoring-update">7.5.1.2. Parrainage de la mise à jour d'un paquet existant</a>
                    </span>
                  </dt>
                </dl>
              </dd>
              <dt>
                <span class="section">
                  <a href="ch07.html#advocating-new-developers">7.5.2. Recommandation d'un nouveau développeur</a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="ch07.html#become-application-manager">7.5.3. Gestion des nouvelles candidatures</a>
                </span>
              </dt>
            </dl>
          </dd>
        </dl>
      </div>
      <p>
Debian, c'est beaucoup plus que de l'empaquetage de logiciels et de la
maintenance de paquets. Ce chapitre contient des informations sur les
façons, souvent vraiment importantes, de contribuer à Debian au-delà de la
simple création et maintenance de paquets.
</p>
      <p>
En tant qu'organisation de volontaires, Debian repose sur la liberté de
choisir ce sur quoi l'on désire travailler et de choisir la partie la plus
importante à laquelle on veut consacrer son temps.
</p>
      <div class="section">
        <div class="titlepage">
          <div>
            <div>
              <h2 class="title"><a id="submit-bug"/>7.1. Signalement de bogues</h2>
            </div>
          </div>
        </div>
        <p>
Nous vous encourageons à signaler des bogues quand vous en trouvez dans les
paquets Debian. En fait, les développeurs Debian sont souvent les testeurs
de première ligne. Trouver et signaler les bogues dans les paquets d'autres
développeurs améliore la qualité de Debian.
</p>
        <p>
Lisez les <a class="ulink" href="https://www.debian.org/Bugs/Reporting">instructions pour signaler un
bogue</a> dans le <a class="ulink" href="https://www.debian.org/Bugs/">système de suivi des
bogues</a> Debian.
</p>
        <p>
Essayez de signaler un bogue à partir d'un compte utilisateur normal avec
lequel vous pouvez recevoir des courriers, pour que les personnes puissent
vous joindre si elles ont besoin de plus d'informations à propos du
bogue. Ne signalez pas de bogues en tant que root.
</p>
        <p>
Vous pouvez utiliser un outil comme <span class="citerefentry"><span class="refentrytitle">reportbug</span>(1)</span> pour signaler des bogues. Il peut automatiser et dans
l'ensemble faciliter le processus.
</p>
        <p>
Assurez-vous que le bogue n'a pas déjà été signalé. Chaque paquet dispose
d'une liste de bogues facilement accessible à
<code class="literal">https://bugs.debian.org/<em class="replaceable"><code>nomdupaquet</code></em></code>.
Des outils comme <span class="citerefentry"><span class="refentrytitle">querybts</span>(1)</span> peuvent également vous fournir ces
informations (et <span class="command"><strong>reportbug</strong></span> invoquera également
normalement <span class="command"><strong>querybts</strong></span> avant l'envoi).
</p>
        <p>
Essayez d'envoyer vos bogues au bon endroit. Quand, par exemple, votre bogue
concerne un paquet qui écrase des fichiers d'un autre paquet, vérifiez les
listes des bogues pour les <span class="emphasis"><em>deux</em></span> paquets afin d'éviter
de créer des rapports de bogues dupliqués.
</p>
        <p>
Vous pouvez également parcourir les bogues d'autres paquets, en les
regroupant s'ils sont indiqués plus d'une fois, ou en les marquant avec
« <code class="literal">fixed</code> » quand ils ont déjà été corrigés. Notez
cependant que si vous n'êtes ni le rapporteur du bogue, ni le responsable du
paquet, vous ne devriez pas fermer réellement le bogue (à moins d'avoir
obtenu la permission du responsable).
</p>
        <p>
De temps en temps, vous pourriez vouloir vérifier ce qui s'est passé à
propos des bogues que vous avez signalés. Saisissez cette occasion pour
fermer les bogues que vous ne pouvez plus reproduire. Pour trouver tous les
bogues que vous avez signalés, vous avez simplement besoin de vous rendre à
la page
<code class="literal">https://bugs.debian.org/from:<em class="replaceable"><code>votre-adresse-de-courrier</code></em></code>.
</p>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="submit-many-bugs"/>7.1.1. Signalement d'un grand nombre de bogues en une fois (« <code class="literal">mass bug
filing</code> »)</h3>
              </div>
            </div>
          </div>
          <p>
Signaler de nombreux bogues pour le même problème sur un grand nombre de
paquets — plus de dix — est une pratique déconseillée. Prenez toutes les
mesures possibles pour éviter cette situation. Si le problème peut être
détecté automatiquement par exemple, ajoutez un nouveau test dans le paquet
<code class="systemitem">lintian</code> pour générer une erreur ou
un avertissement.
</p>
          <p>
Si vous voulez signaler plus de dix rapports sur le même sujet, il est
préférable d'indiquer votre intention sur la liste <code class="email">&lt;<a class="email" href="mailto:debian-devel@lists.debian.org">debian-devel@lists.debian.org</a>&gt;</code> et
de le mentionner dans le sujet de votre message. Cela donnera à d'autres
développeurs la possibilité de vérifier que le problème existe vraiment. De
plus, cela permet d'éviter que plusieurs responsables ne rédigent les mêmes
rapports de bogue simultanément.
</p>
          <p>
Veuillez utiliser les programmes <span class="command"><strong>dd-list</strong></span> et si
nécessaire, <span class="command"><strong>whodepends</strong></span> (du paquet <code class="systemitem">devscripts</code>) pour générer une liste de tous les
paquets concernés et incluez la sortie dans votre courrier à
<code class="email">&lt;<a class="email" href="mailto:debian-devel@lists.debian.org">debian-devel@lists.debian.org</a>&gt;</code>.
</p>
          <p>
Quand vous envoyez un grand nombre de rapports sur le même sujet, vous
devriez les envoyer à <code class="email">&lt;<a class="email" href="mailto:maintonly@bugs.debian.org">maintonly@bugs.debian.org</a>&gt;</code> pour éviter
qu'ils soient renvoyés vers les listes de diffusion.
</p>
          <div class="section">
            <div class="titlepage">
              <div>
                <div>
                  <h4 class="title"><a id="usertags"/>7.1.1.1. Étiquettes d'utilisateur « <code class="literal">Usertags</code> »</h4>
                </div>
              </div>
            </div>
            <p>
Vous pouvez utiliser les étiquettes d'utilisateur du BTS lors du signalement
de bogues sur un grand nombre de paquets. Les étiquettes d'utilisateur se
comportent de la même façon que les étiquettes « <code class="literal">patch</code> »
et « <code class="literal">wishlist</code> » à la différence qu'elles sont définies
par l'utilisateur et occupent un espace de définition spécifique propre à
l'utilisateur. Cela permet à plusieurs groupes de développeurs de marquer
« <code class="literal">Usertags</code> » le même bogue de différentes façons sans
conflit.
</p>
            <p>
Pour ajouter des étiquettes d'utilisateur lors du signalement de bogues,
précisez les pseudo-en-têtes <code class="literal">User</code> et
<code class="literal">Usertags</code> :
</p>
            <pre class="screen">
To: submit@bugs.debian.org
Subject: <em class="replaceable"><code>titre-du-bogue</code></em>

Package: <em class="replaceable"><code>nom-de-paquet</code></em>
<em class="replaceable"><code>[ ... ]</code></em>
User: <em class="replaceable"><code>adresse-mail</code></em>
Usertags: <em class="replaceable"><code>nom-d-etiquette [ nom-d-etiquette ... ]</code></em>

<em class="replaceable"><code>description-du-bogue ...</code></em>
</pre>
            <p>
Remarquez que les étiquettes sont séparées par des espaces et ne peuvent
contenir de tiret bas. Si vous signalez des bogues au nom d'un groupe ou
d'une équipe spécifique, il vaut mieux définir <code class="literal">User</code> comme
une liste de diffusion appropriée après y avoir décrit votre intention.
</p>
            <p>
Pour voir les bogues marqués par une étiquette d'utilisateur en particulier,
rendez-vous sur la page
<code class="literal">https://bugs.debian.org/cgi-bin/pkgreport.cgi?users=<em class="replaceable"><code>adresse-mail</code></em>&amp;tag=<em class="replaceable"><code>nom-d-etiquette</code></em></code>.
</p>
          </div>
        </div>
      </div>
      <div class="section">
        <div class="titlepage">
          <div>
            <div>
              <h2 class="title"><a id="qa-effort"/>7.2. Effort d'assurance qualité</h2>
            </div>
          </div>
        </div>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="qa-daily-work"/>7.2.1. Travail quotidien</h3>
              </div>
            </div>
          </div>
          <p>
Bien qu'il y ait un groupe de personnes dédié à l'assurance qualité, les
devoirs de <code class="literal">QA</code> ne leur sont pas exclusivement
réservés. Vous pouvez participer à cet effort en conservant vos paquets
aussi exempts de bogues que possible et aussi corrects que possible selon
<span class="command"><strong>lintian</strong></span> (voir <a class="xref" href="apa.html#lintian" title="A.2.1. lintian">Section A.2.1, « <code class="systemitem">lintian</code> »</a>). Si cela vous
paraît impossible, vous devriez alors envisager d'abandonner certains de vos
paquets (voir <a class="xref" href="ch05.html#orphaning" title="5.9.4. Abandon de paquet">Section 5.9.4, « Abandon de paquet »</a>). Sinon, vous pouvez demander de
l'aide à d'autres personnes pour qu'elles puissent rattraper votre retard
dans la correction des bogues (vous pouvez demander de l'aide sur
<code class="email">&lt;<a class="email" href="mailto:debian-qa@lists.debian.org">debian-qa@lists.debian.org</a>&gt;</code> ou <code class="email">&lt;<a class="email" href="mailto:debian-devel@lists.debian.org">debian-devel@lists.debian.org</a>&gt;</code>). En même temps, vous pouvez
rechercher des co-responsables (voir <a class="xref" href="ch05.html#collaborative-maint" title="5.12. Maintenance collective">Section 5.12, « Maintenance collective »</a>).
</p>
        </div>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="qa-bsp"/>7.2.2. Chasses aux bogues</h3>
              </div>
            </div>
          </div>
          <p>
De temps en temps, le groupe d'assurance qualité organise des chasses aux
bogues (« <code class="literal">Bug Squashing Party</code> ») pour essayer de résoudre
autant de problèmes que possible. Elles sont annoncées sur
<code class="email">&lt;<a class="email" href="mailto:debian-devel-announce@lists.debian.org">debian-devel-announce@lists.debian.org</a>&gt;</code> en précisant quel domaine sera visé pendant la
chasse : habituellement, il s'agit des bogues empêchant l'intégration du
paquet dans la distribution (bogues de gravité « <code class="literal">Release
Critical</code> »), mais il peut être décidé d'aider à finir une
transition majeure (comme une nouvelle version de Perl qui demande la
recompilation de tous les modules binaires).
</p>
          <p>
Les règles pour les mises à jour indépendantes (<code class="literal">NMU</code>) sont
différentes au cours de la chasse parce que l'annonce de la chasse est
considérée comme une annonce préalable pour les NMU. Si vous avez des
paquets qui peuvent être affectés par la chasse (parce qu'ils ont des bogues
critiques par exemple), vous devriez envoyer une mise à jour pour chaque
bogue correspondant pour expliquer leur état actuel et ce que vous attendez
de la chasse. Si vous ne voulez pas de NMU, si vous n'êtes intéressé que par
un correctif, ou si vous voulez gérer vous-même le bogue, veuillez
l'expliquer dans le BTS.
</p>
          <p>
Les personnes qui participent à la chasse ont des règles spécifiques pour
les NMU, elles peuvent en faire une sans avertissement préalable si elles
envoient leur paquet avec un délai d'au moins trois jours dans
<code class="literal">DELAYED/3-day</code>. Toutes les autres règles de NMU
s'appliquent comme d'habitude ; le correctif de la NMU devrait être envoyé
dans le BTS (pour l'un des bogues ouverts corrigé par la NMU ou pour un
nouveau bogue marqué corrigé). Les participants devraient également
respecter tout souhait du responsable s'il en a exprimé.
</p>
          <p>
Si vous ne vous sentez pas à l'aise avec une NMU, envoyez simplement un
correctif au BTS. C'est de loin meilleur qu'une NMU défectueuse.
</p>
        </div>
      </div>
      <div class="section">
        <div class="titlepage">
          <div>
            <div>
              <h2 class="title"><a id="contacting-maintainers"/>7.3. Contact avec d'autres responsables</h2>
            </div>
          </div>
        </div>
        <p>
Pendant vos activités dans Debian, vous contacterez d'autres responsables
pour différentes raisons. Vous pourrez vouloir discuter d'une nouvelle façon
de coopérer au sein d'un ensemble de paquets liés, ou vous pouvez simplement
rappeler à quelqu'un qu'une nouvelle version est disponible et que vous en
avez besoin.
</p>
        <p>
Chercher l'adresse d'un responsable d'un paquet peut être
fastidieux. Heureusement, il existe un alias de courrier simple,
<code class="literal"><em class="replaceable"><code>paquet</code></em>@packages.debian.org</code>, qui
fournit un moyen d'envoyer un courrier à un responsable, quelle que soit son
adresse (ou ses adresses). Remplacez <em class="replaceable"><code>paquet</code></em> par
le nom du paquet source ou binaire.
</p>
        <p>
You may also be interested in contacting the persons who are subscribed to a
given source package via <a class="xref" href="ch04.html#pkg-tracker" title="4.10. The Debian Package Tracker">Section 4.10, « The Debian Package Tracker »</a>.  You can do so by
using the <code class="literal"><em class="replaceable"><code>package</code></em>@packages.qa.debian.org</code>
email address.
</p>
      </div>
      <div class="section">
        <div class="titlepage">
          <div>
            <div>
              <h2 class="title"><a id="mia-qa"/>7.4. Gestion des responsables non joignables</h2>
            </div>
          </div>
        </div>
        <p>
Si vous remarquez qu'un paquet manque de maintenance, vous devriez vous
assurer que le responsable est toujours actif et qu'il continue à travailler
sur ses paquets. Il est possible qu'il ne soit plus actif, mais qu'il n'ait
pas démissionné du système. D'un autre côté, il est possible qu'il ait
simplement besoin d'un rappel.
</p>
        <p>
Il y a un système simple (la base de données <code class="literal">MIA</code>) dans
laquelle les informations sur les responsables supposés manquant à l'appel
(« <code class="literal">Missing In Action</code> ») sont enregistrées. Quand un
membre du groupe <code class="literal">QA</code> contacte un responsable inactif ou
trouve plus d'informations sur celui-ci, un enregistrement dans la base de
données MIA a lieu. Ce système est disponible dans
<code class="filename">/org/qa.debian.org/mia</code> sur l'hôte
<code class="literal">qa.debian.org</code> et peut être interrogé avec
<span class="command"><strong>mia-query</strong></span>. Utilisez <span class="command"><strong>mia-query --help</strong></span>
pour voir comment interroger la base de données. Si aucune information n'a
encore été enregistrée pour un responsable inactif ou si vous pouvez ajouter
plus d'informations, vous devriez utiliser la procédure suivante.
</p>
        <p>
La première étape est de contacter poliment le responsable et d'attendre une
réponse pendant un temps raisonnable. Il est assez difficile de définir le
« temps raisonnable », mais il est important de prendre en compte que la
vraie vie est parfois assez mouvementée. Une façon de gérer cela pourrait
être d'envoyer un rappel après deux semaines.
</p>
        <p>
Si le responsable ne répond pas après quatre semaines (un mois), on peut
supposer qu'il n'y aura probablement pas de réponse. Si cela se produit,
vous devriez poursuivre vos investigations et essayer de réunir toutes les
informations utiles sur ce responsable. Cela inclut :
</p>
        <div class="itemizedlist">
          <ul class="itemizedlist">
            <li class="listitem">
              <p>
les informations « <code class="literal">echelon</code> » disponibles dans la <a class="ulink" href="https://db.debian.org/">base de données LDAP des développeurs</a>, qui
indiquent quand le développeur a envoyé un message pour la dernière fois sur
une liste de diffusion Debian (cela inclut les envois vers les listes
<code class="email">&lt;<a class="email" href="mailto:debian-devel-changes@lists.debian.org">debian-devel-changes@lists.debian.org</a>&gt;</code>). Pensez aussi à vérifier si le responsable est
indiqué comme en vacances dans la base de données ;
</p>
            </li>
            <li class="listitem">
              <p>
le nombre de paquets de ce responsable et l'état de ces paquets. En
particulier, reste-t-il des bogues empêchant l'intégration des paquets dans
la distribution qui sont ouverts depuis des lustres ? De plus, combien de
bogues y a-t-il en général ? Un autre renseignement important est si les
paquets ont subi des NMU, et si oui, par qui ;
</p>
            </li>
            <li class="listitem">
              <p>
est-ce que le responsable est actif en dehors de Debian ? Par exemple, il
peut avoir envoyé des messages récemment à des listes de diffusion
non-Debian ou des groupes de discussion ;
</p>
            </li>
          </ul>
        </div>
        <p>
Un problème particulier est représenté par les paquets parrainés — le
responsable n'est pas un développeur Debian officiel. Les informations
« <code class="literal">echelon</code> » ne sont pas disponibles pour les personnes
parrainées, par exemple ; vous devez donc trouver et contacter le
responsable Debian qui a réellement envoyé le paquet. Étant donné qu'il a
signé le paquet, il est responsable de l'envoi de toute façon et il sait
probablement ce qui s'est passé avec la personne qu'il parraine.
</p>
        <p>
Il est également permis d'envoyer une demande à <code class="email">&lt;<a class="email" href="mailto:debian-devel@lists.debian.org">debian-devel@lists.debian.org</a>&gt;</code>
demandant si quelqu'un a des informations sur le responsable
manquant. Veuillez mettre en <code class="literal">CC</code> la personne en question.
</p>
        <p>
Une fois réunies toutes ces informations, vous pouvez contacter
<code class="email">&lt;<a class="email" href="mailto:mia@qa.debian.org">mia@qa.debian.org</a>&gt;</code>. Les personnes de cet alias utiliseront les informations que
vous aurez fournies pour décider comment procéder. Par exemple, elles
peuvent abandonner tout ou partie des paquets du responsable. Si un paquet a
subi une NMU, elles peuvent préférer contacter le responsable ayant fait
cette NMU — il pourrait être intéressé par le paquet.
</p>
        <p>
Un dernier mot : veuillez rester poli. Tout le monde est volontaire et ne
peut dédier l'intégralité de son temps à Debian. Vous n'êtes pas non plus au
courant des conditions de la personne impliquée. Elle est peut-être
sérieusement malade ou pourrait même nous avoir définitivement quitté — vous
ne savez pas qui recevra vos courriers. Imaginez le sentiment d'un proche
qui lit un courrier pour la personne décédée, et trouve un message très
impoli, de colère et accusateur !
</p>
        <p>
D'un autre côté, bien que tout le monde soit volontaire, tout le monde est
responsable. Vous pouvez donc insister sur l'importance du plus grand
intérêt — si un responsable n'a plus le temps ou l'envie, il devrait
« laisser filer » et donner le paquet à quelqu'un ayant plus de temps.
</p>
        <p>
Si vous êtes intéressé pour travailler dans l'équipe MIA, veuillez étudier
le fichier <code class="filename">README</code> dans
<code class="filename">/org/qa.debian.org/mia</code> sur
<code class="literal">qa.debian.org</code> où les détails techniques et les procédures
MIA sont documentés et contactez <code class="email">&lt;<a class="email" href="mailto:mia@qa.debian.org">mia@qa.debian.org</a>&gt;</code>.
</p>
      </div>
      <div class="section">
        <div class="titlepage">
          <div>
            <div>
              <h2 class="title"><a id="newmaint"/>7.5. Interaction avec de futurs développeurs Debian</h2>
            </div>
          </div>
        </div>
        <p>
Le succès de Debian dépend de sa faculté à attirer et conserver de nouveaux
et talentueux volontaires. Si vous êtes un développeur expérimenté, nous
vous recommandons de vous impliquer dans le processus pour devenir un
nouveau responsable. Cette section décrit comment aider les futurs
développeurs.
</p>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="sponsoring"/>7.5.1. Parrainage de paquets</h3>
              </div>
            </div>
          </div>
          <p>
Parrainer un paquet signifie envoyer un paquet pour un responsable qui n'est
pas encore autorisé à le faire lui-même. Ce n'est pas une mince affaire, le
parrain doit vérifier l'empaquetage et s'assurer qu'il respecte le haut
niveau d'exigence qualité que Debian s'efforce de conserver.
</p>
          <p>
Les développeurs Debian peuvent parrainer des paquets, mais pas les
mainteneurs Debian. 
</p>
          <p>
Le processus de parrainage d'un paquet est : </p>
          <div class="orderedlist">
            <ol class="orderedlist">
              <li class="listitem">
                <p>le responsable prépare un paquet source (<code class="filename">.dsc</code>) et le
met en ligne quelque part (sur <a class="ulink" href="http://mentors.debian.net/cgi-bin/welcome">mentors.debian.net</a>
par exemple) ou, mieux encore, fournit un lien vers un dépôt de gestion de
versions (consultez <a class="xref" href="ch04.html#servers-vcs" title="4.4.5. Serveurs de gestion de versions (VCS)">Section 4.4.5, « Serveurs de gestion de versions (<code class="literal">VCS</code>) »</a>) où le paquet est
maintenu ;</p>
              </li>
              <li class="listitem">
                <p>le parrain télécharge (ou extrait du dépôt) le paquet source ;</p>
              </li>
              <li class="listitem">
                <p>le parrain vérifie le paquet source. En cas de problème, il informe le
responsable et lui demande de fournir une version corrigée (le processus
reprend à la première étape) ;</p>
              </li>
              <li class="listitem">
                <p>le parrain ne trouve aucun problème résiduel. Il construit le paquet, le
signe, et l'envoie dans Debian.</p>
              </li>
            </ol>
          </div>
          <p>
</p>
          <p>
Avant de se plonger dans les détails du parrainage de paquet, vous devriez
vous demander si l'ajout du paquet proposé est profitable à Debian.
</p>
          <p>
Il n'y a pas de règle simple pour répondre à cette question, cela peut
dépendre de plusieurs facteurs : le code source amont est-il suffisamment
achevé et pas miné de trous de sécurité ? Existe-t-il déjà des paquets qui
font la même chose et que donne les comparaisons avec ce nouveau paquet ? Le
paquet a-t-il été demandé par des utilisateurs et le nombre d'utilisateurs
est-il significatif ? Les développeurs amont sont-ils actifs ?
</p>
          <p>
Vous devriez également vérifier que le futur responsable sera un bon
responsable. A-t-il déjà de l'expérience avec d'autres paquets ? Si oui,
réalise-t-il du bon travail avec ceux-ci (contrôlez quelques bogues) ?
Est-il familier avec le paquet et son langage de programmation ? A-t-il les
compétences nécessaires pour ce paquet ? Si non, est-il capable de les
apprendre ?
</p>
          <p>
Il est aussi recommandé de connaître sa position par rapport à Debian :
approuve-t-il la philosophie Debian et désire-t-il rejoindre Debian ? Vu
comme il est facile de devenir mainteneur Debian, vous pourriez ne parrainer
que des personnes ayant l'intention de rejoindre le projet. De cette façon,
vous savez au départ que vous n'aurez pas a parrainer indéfiniment.
</p>
          <div class="section">
            <div class="titlepage">
              <div>
                <div>
                  <h4 class="title"><a id="sponsoring-new-package"/>7.5.1.1. Parrainage d'un nouveau paquet</h4>
                </div>
              </div>
            </div>
            <p>
Les nouveaux responsables ont souvent quelques difficultés à créer des
paquets Debian — cela est bien compréhensible. Ils feront des erreurs. C'est
pourquoi le parrainage d'un tout nouveau paquet dans Debian demande une
inspection minutieuse de l'empaquetage. Parfois plusieurs itérations seront
nécessaires avant que le paquet ne soit assez bon pour être envoyé dans
Debian. Ainsi, être un parrain signifie être un mentor.
</p>
            <p>
Ne parrainez jamais de paquet sans l'avoir vérifié. La vérification de
nouveau paquet réalisée par les responsables de l'archive veille
principalement à ce que le logiciel soit vraiment libre. Bien sûr, ils
tombent parfois sur des problèmes d'empaquetage, mais ça ne devrait vraiment
pas arriver. Il est de votre responsabilité de vérifier que le paquet envoyé
est compatible avec les principes du logiciel libre selon Debian et qu'il
est de bonne qualité.
</p>
            <p>
La construction du paquet et l'essai du logiciel fait partie de la
vérification, mais ça ne suffit pas. La suite de cette section est une liste
non exhaustive de points à vérifier lors de votre contrôle. <a href="#ftn.idm46114014250192" class="footnote" id="idm46114014250192"><sup class="footnote">[7]</sup></a>
</p>
            <div class="itemizedlist">
              <ul class="itemizedlist">
                <li class="listitem">
                  <p>Vérifiez que l'archive source fournie est la même que celle distribuée par
l'auteur amont (quand les sources ont été réempaquetées pour Debian, créez
vous-même l'archive modifiée).</p>
                </li>
                <li class="listitem">
                  <p>Exécutez <span class="command"><strong>lintian</strong></span>. De nombreux problèmes usuels seront
découverts. Prenez soin de vérifier que tous les contrôles de
<span class="command"><strong>lintian</strong></span> ignorés par le responsable sont pleinement
justifiés.</p>
                </li>
                <li class="listitem">
                  <p>Exécutez <span class="command"><strong>licensecheck</strong></span> (qui fait partie de <a class="xref" href="apa.html#devscripts" title="A.6.1. devscripts">Section A.6.1, « <code class="systemitem">devscripts</code> »</a>) et vérifiez que
<code class="filename">debian/copyright</code> ait l'air correct et
exhaustif. Recherchez des problèmes de licence (comme des fichiers avec
« All rights reserved » — tous droits réservés — en en-tête, ou ayant une
licence non compatible avec les principes du logiciel libre selon
Debian). <span class="command"><strong>grep -ri</strong></span> peut vous aider ici.</p>
                </li>
                <li class="listitem">
                  <p>Construisez le paquet avec <span class="command"><strong>pbuilder</strong></span> (ou n'importe quel
outil du même genre, consultez <a class="xref" href="apa.html#pbuilder" title="A.4.3. pbuilder">Section A.4.3, « <code class="systemitem">pbuilder</code> »</a>) pour vérifier que
les dépendances de constructions sont exhaustives.</p>
                </li>
                <li class="listitem">
                  <p>Relisez <code class="filename">debian/control</code> : est-il conforme aux meilleures
pratiques (consultez <a class="xref" href="ch06.html#bpp-debian-control" title="6.2. Meilleures pratiques pour debian/control">Section 6.2, « Meilleures pratiques pour <code class="filename">debian/control</code> »</a>) ? Les dépendances
sont elles exhaustives ?</p>
                </li>
                <li class="listitem">
                  <p>Relisez <code class="filename">debian/rules</code> : est-il conforme aux meilleures
pratiques (consultez <a class="xref" href="ch06.html#bpp-debian-rules" title="6.1. Meilleures pratiques pour debian/rules">Section 6.1, « Meilleures pratiques pour <code class="filename">debian/rules</code> »</a>) ? Pouvez-vous
apporter quelques améliorations ?</p>
                </li>
                <li class="listitem">
                  <p>Relisez les scripts du responsable (<code class="filename">preinst</code>,
<code class="filename">postinst</code>, <code class="filename">prerm</code>,
<code class="filename">postrm</code>, <code class="filename">config</code>) : est-ce que
<code class="filename">preinst</code> et <code class="filename">postrm</code> fonctionneront
si les dépendances ne sont pas installées ? Est-ce que tous les scripts sont
idempotents (c'est-à-dire peuvent-ils être exécutés plusieurs fois sans
conséquences) ?</p>
                </li>
                <li class="listitem">
                  <p>Vérifiez toutes les modifications des fichiers amont (dans
<code class="filename">.diff.gz</code>, <code class="filename">debian/patches/</code> ou
directement dans l'archive <code class="filename">debian</code> pour les fichiers
binaires). Sont-elles justifiées ? Sont-elles correctement documentées
(conformément à <a class="ulink" href="http://dep.debian.net/deps/dep3/">DEP-3</a> pour les correctifs) ?</p>
                </li>
                <li class="listitem">
                  <p>Pour chaque fichier, demandez-vous pourquoi le fichier est là et si c'est la
bonne façon d'atteindre le but voulu. Est-ce que le responsable suit les
meilleurs pratiques d'empaquetage (consultez <a class="xref" href="ch06.html" title="Chapitre 6. Meilleures pratiques d'empaquetage">Chapitre 6, <em>Meilleures pratiques d'empaquetage</em></a>) ?</p>
                </li>
                <li class="listitem">
                  <p>Construisez les paquets, installez-les et essayez le logiciel. Vérifiez de
pouvoir supprimer et purger les paquets. Essayez-les si possible avec
<span class="command"><strong>piuparts</strong></span>.
</p>
                </li>
              </ul>
            </div>
            <p>
If the audit did not reveal any problem, you can build the package and
upload it to Debian. Remember that even if you're not the maintainer, as a
sponsor you are still responsible for what you upload to Debian. That's why
you're encouraged to keep up with the package through the <a class="xref" href="ch04.html#pkg-tracker" title="4.10. The Debian Package Tracker">Section 4.10, « The Debian Package Tracker »</a>.
</p>
            <p>
Remarquez que vous ne devriez pas avoir à modifier le paquet source pour
mettre votre nom dans les fichiers <code class="filename">changelog</code> ou
<code class="filename">control</code>. Le champ <code class="literal">Maintainer</code> du
fichier <code class="filename">control</code> et le fichier
<code class="filename">changelog</code> devraient afficher la personne qui a fait
l'empaquetage, c'est-à-dire, le filleul. Ainsi, il recevra tous les
courriers du système de suivi des bogues (BTS).
</p>
            <p>À la place, vous devriez indiquer à <span class="command"><strong>dpkg-buildpackage</strong></span>
d'utiliser votre clef en signature. L'option <code class="literal">-k</code> le
permet :</p>
            <pre class="screen">
dpkg-buildpackage -k<em class="replaceable"><code>identifiant_de_clef</code></em>
</pre>
            <p>Si vous utilisez <span class="command"><strong>debuild</strong></span> et <span class="command"><strong>debsign</strong></span>,
vous pouvez même le configurer de façon permanente dans
<code class="filename">~/.devscripts</code> :</p>
            <pre class="programlisting">
DEBSIGN_KEYID=<em class="replaceable"><code>identifiant_de_clef</code></em>
</pre>
          </div>
          <div class="section">
            <div class="titlepage">
              <div>
                <div>
                  <h4 class="title"><a id="sponsoring-update"/>7.5.1.2. Parrainage de la mise à jour d'un paquet existant</h4>
                </div>
              </div>
            </div>
            <p>
Vous pourrez en général supposer que le paquet a déjà été vérifié
complètement. Au lieu de recommencer depuis le début, vous devriez analyser
précautionneusement les différences entre la version actuelle et la nouvelle
version préparée par le responsable. Si vous n'avez pas fait la vérification
initiale vous-même, vous pourriez tout de même regarder de plus près au cas
où elle aurait été négligée.
</p>
            <p>
Afin de comparer les différences, il vous faudra les deux
paquets. Téléchargez la version actuelle du paquet source (avec
<span class="command"><strong>apt-get source</strong></span>) et reconstruisez-le (ou téléchargez les
paquets binaires actuels avec <span class="command"><strong>aptitude
download</strong></span>). Téléchargez le paquet source à parrainer (normalement
avec <span class="command"><strong>dget</strong></span>).
</p>
            <p>
Lisez la nouvelle entrée du journal de modification, elle devrait vous
apprendre ce que vous devriez trouver lors de la vérification. L'outil
principal à utiliser est <span class="command"><strong>debdiff</strong></span> (du paquet <code class="systemitem">devscripts</code>), vous pouvez l'exécuter avec deux
paquets source (fichiers <code class="filename">.dsc</code>), deux paquets binaires,
ou deux fichiers <code class="filename">.changes</code> (seront alors comparés tous
les paquets binaires présents dans le fichier
<code class="filename">.changes</code>).
</p>
            <p>
Si vous comparez les paquets source (à l'exception des fichiers amont dans
le cas d'une nouvelle version amont, en filtrant par exemple la sortie de
<span class="command"><strong>debdiff</strong></span> avec <span class="command"><strong>filterdiff -i
'*/debian/*'</strong></span>), vous devez comprendre toutes les modifications et
elles devraient être convenablement documentées dans le journal de
modification Debian.
</p>
            <p>
Si tout est correct, construisez le paquet et comparez les paquets binaires
pour vérifier que les modifications du paquet source n'ont pas des
conséquences inattendues (comme certains fichiers supprimés par erreur, des
dépendances manquantes, etc.).
</p>
            <p>
You might want to check out the Package Tracking System (see <a class="xref" href="ch04.html#pkg-tracker" title="4.10. The Debian Package Tracker">Section 4.10, « The Debian Package Tracker »</a>) to verify if the maintainer has not missed
something important. Maybe there are translations updates sitting in the BTS
that could have been integrated. Maybe the package has been NMUed and the
maintainer forgot to integrate the changes from the NMU into their
package. Maybe there's a release critical bug that they have left unhandled
and that's blocking migration to <code class="literal">testing</code>.  If you find
something that they could have done (better), it's time to tell them so that
they can improve for next time, and so that they have a better understanding
of their responsibilities.
</p>
            <p>
Si vous n'avez pas trouvé de problème majeur, envoyez la nouvelle
version. Sinon, demandez au responsable de fournir une version corrigée.
</p>
          </div>
        </div>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="advocating-new-developers"/>7.5.2. Recommandation d'un nouveau développeur</h3>
              </div>
            </div>
          </div>
          <p>
Les <a class="ulink" href="https://www.debian.org/devel/join/nm-advocate">recommandations pour un futur
développeur</a> sont disponibles sur le site web de Debian.
</p>
        </div>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="become-application-manager"/>7.5.3. Gestion des nouvelles candidatures</h3>
              </div>
            </div>
          </div>
          <p>
La <a class="ulink" href="https://www.debian.org/devel/join/nm-amchecklist">liste de contrôle pour les
responsables de candidature</a> est disponible sur le site web de
Debian.
</p>
        </div>
      </div>
      <div class="footnotes">
        <br/>
        <hr/>
        <div id="ftn.idm46114014250192" class="footnote">
          <p><a href="#idm46114014250192" class="para"><sup class="para">[7] </sup></a>
D'autres vérifications sont disponibles dans le wiki où plusieurs
développeurs partagent leurs propres <a class="ulink" href="https://wiki.debian.org/SponsorChecklist">listes de contrôle</a>.
</p>
        </div>
      </div>
    </div>
    <div class="navfooter">
      <hr/>
      <table width="100%" summary="Navigation footer">
        <tr>
          <td align="left"><a accesskey="p" href="ch06.html"><img src="images/prev.png" alt="Précédent"/></a> </td>
          <td align="center"> </td>
          <td align="right"> <a accesskey="n" href="ch08.html"><img src="images/next.png" alt="Suivant"/></a></td>
        </tr>
        <tr>
          <td align="left" valign="top">Chapitre 6. Meilleures pratiques d'empaquetage </td>
          <td align="center">
            <a accesskey="h" href="index.html">
              <img src="images/home.png" alt="Sommaire"/>
            </a>
          </td>
          <td align="right" valign="top"> Chapitre 8. Internationalisation et traduction</td>
        </tr>
      </table>
    </div>
  </body>
</html>
